> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /superjob/resumes/search

> Browse SuperJob resumes by industry catalogue and filters

**Price:** 20 credits per 100 results



## OpenAPI

````yaml /openapi/jobs.json post /api/superjob/resumes/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/superjob/resumes/search:
    post:
      tags:
        - /superjob
      summary: /superjob/resumes/search
      description: |-
        Browse SuperJob resumes by industry catalogue and filters

        **Price:** 20 credits per 100 results
      operationId: __api_superjob_resumes_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuperjobResumesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SuperjobResume'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuperjobResumesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        catalogue:
          type: integer
        count:
          type: integer
          minimum: 1
        town:
          anyOf:
            - type: integer
            - type: 'null'
        subject:
          anyOf:
            - type: integer
            - type: 'null'
        experience:
          anyOf:
            - $ref: '#/components/schemas/SuperjobResumeExperienceFilter'
            - type: 'null'
        age:
          anyOf:
            - $ref: '#/components/schemas/SuperjobResumeAge'
            - type: 'null'
        gender:
          anyOf:
            - $ref: '#/components/schemas/SuperjobResumeGender'
            - type: 'null'
        salary_to:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        citizenship:
          anyOf:
            - type: integer
            - type: 'null'
        driving_license:
          anyOf:
            - $ref: '#/components/schemas/SuperjobDrivingLicense'
            - type: 'null'
        work_type:
          anyOf:
            - $ref: '#/components/schemas/SuperjobResumeWorkType'
            - type: 'null'
        period:
          anyOf:
            - $ref: '#/components/schemas/SuperjobResumeSearchPeriod'
            - type: 'null'
        with_photo:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - catalogue
        - count
    SuperjobResume:
      properties:
        '@type':
          type: string
          default: SuperjobResume
        id:
          type: integer
        url:
          type: string
        position:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - type: integer
            - type: 'null'
        salary_currency:
          anyOf:
            - type: string
            - type: 'null'
        area_name:
          anyOf:
            - type: string
            - type: 'null'
        region_name:
          anyOf:
            - type: string
            - type: 'null'
        metro_stations:
          items:
            type: string
          type: array
          default: []
        gender:
          anyOf:
            - type: string
            - type: 'null'
        citizenship:
          anyOf:
            - type: string
            - type: 'null'
        marital_status:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        additional_information:
          anyOf:
            - type: string
            - type: 'null'
        key_skills:
          items:
            type: string
          type: array
          default: []
        languages:
          items:
            type: string
          type: array
          default: []
        driver_license_types:
          items:
            type: string
          type: array
          default: []
        catalogues:
          items:
            type: string
          type: array
          default: []
        experiences:
          items:
            $ref: '#/components/schemas/SuperjobResumeExperience'
          type: array
          default: []
        educations:
          items:
            $ref: '#/components/schemas/SuperjobResumeEducation'
          type: array
          default: []
        has_no_experience:
          anyOf:
            - type: boolean
            - type: 'null'
        remote_work:
          anyOf:
            - type: boolean
            - type: 'null'
        relocate_possibility:
          anyOf:
            - type: boolean
            - type: 'null'
        business_trip:
          anyOf:
            - type: boolean
            - type: 'null'
        is_volunteer:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SuperjobResumeExperienceFilter:
      type: string
      enum:
        - '0'
        - '1'
        - '3'
        - '6'
    SuperjobResumeAge:
      type: string
      enum:
        - 18-25
        - 25-35
        - 35-45
        - 45-60
    SuperjobResumeGender:
      type: string
      enum:
        - '2'
        - '3'
    SuperjobDrivingLicense:
      type: string
      enum:
        - A
        - B
        - C
        - D
        - E
    SuperjobResumeWorkType:
      type: string
      enum:
        - '6'
        - '7'
        - '9'
        - '10'
        - '12'
        - '13'
        - '14'
    SuperjobResumeSearchPeriod:
      type: string
      enum:
        - '1'
        - '3'
        - '7'
        - '0'
    SuperjobResumeExperience:
      properties:
        '@type':
          type: string
          default: SuperjobResumeExperience
        position:
          anyOf:
            - type: string
            - type: 'null'
        responsibility:
          anyOf:
            - type: string
            - type: 'null'
        achievements:
          anyOf:
            - type: string
            - type: 'null'
        date_start:
          anyOf:
            - type: string
            - type: 'null'
        date_end:
          anyOf:
            - type: string
            - type: 'null'
        is_current:
          anyOf:
            - type: boolean
            - type: 'null'
        total_months:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    SuperjobResumeEducation:
      properties:
        '@type':
          type: string
          default: SuperjobResumeEducation
        level:
          anyOf:
            - type: string
            - type: 'null'
        level_label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````